GNU bug report logs - #54370
guix.gnu.org is inaccessible from Russia

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: poiNt_3D <point4d@HIDDEN>; merged with #55500; dated Sun, 13 Mar 2022 07:13:02 UTC; Maintainer for guix is bug-guix@HIDDEN.
Merged 54370 55500. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 54370 <at> debbugs.gnu.org:


Received: (at 54370) by debbugs.gnu.org; 19 Mar 2022 11:04:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 19 07:04:57 2022
Received: from localhost ([127.0.0.1]:59143 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nVWtE-0006nw-TI
	for submit <at> debbugs.gnu.org; Sat, 19 Mar 2022 07:04:57 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36232)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1nVWtD-0006ni-0k
 for 54370 <at> debbugs.gnu.org; Sat, 19 Mar 2022 07:04:55 -0400
Received: from [2001:470:142:3::e] (port=59530 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nVWt7-0004VE-6b; Sat, 19 Mar 2022 07:04:49 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=A+YhzvzNYkyHx5oqZOpg0G7Yw0Toi2WQw3HdmLYWqZE=; b=i9ZAzuW5rxBhlvlm50Vv
 bao8YzbkZKA2obYrxf7gHdK7i1evfbNnh6rBncphFywoNTkURjWM/+pIbWahStAlNf/PxdJfKNLg7
 AyT0YFvm6G/FeNnrUVOpmv82sKnorR/pqeMXFhdYhrXl1/3O/rK4RSDYXgBfQnXeQyHlqo6/QPKEN
 oEZBrtUJWYiKXW3PmTT68ub4GIvahfI3r2GM04bQZha+XSvzM9akcWO6668OizFamLvH4ygXUe+KN
 pyoRYC2KsnkfCq013kj+oUS0xSW1WkPlvSndO8bp7JPUKuDin3lRuqPmC5WJBgS/z1m7ZrfSUk4ce
 NHQqAlbuYCReGw==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:58175
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nVWt5-0006Dp-Ug; Sat, 19 Mar 2022 07:04:48 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>,  54370 <at> debbugs.gnu.org, poiNt_3D
 <point4d@HIDDEN>, Evgeny Pisemsky <evgeny@HIDDEN>, Maxime Devos
 <maximedevos@HIDDEN>
Subject: Re: bug#54370: guix.gnu.org is inaccessible from Russia
References: <CAOT6rO-TzDWnOtCXc9d+fZFzvSUNKNXnyzhjNEwxPD7mVVOCeA@HIDDEN>
 <E500DC4E-B265-4469-A66F-946DF5D6535E@HIDDEN>
 <3F8ECF7D-4C80-4D03-B7A1-60EBAD3EE206@HIDDEN>
 <CAOT6rO__s7aLsK_ZOE-RO49CyJ=VptAJBf79F=bE8pJ2XHcEOA@HIDDEN>
 <cf339c6f86a81c5ba71154ed37a31cb6@HIDDEN>
 <028317bebedcd18fc0063fbff3a20b9e509043a2.camel@HIDDEN>
 <87bky7przs.fsf@HIDDEN>
Date: Sat, 19 Mar 2022 12:04:45 +0100
In-Reply-To: <87bky7przs.fsf@HIDDEN> ("Ludovic =?utf-8?Q?Court=C3=A8s=22'?=
 =?utf-8?Q?s?= message of "Tue, 15 Mar 2022 08:57:59 +0100")
Message-ID: <87y216mcdu.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54370
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

I updated the onion address in the section of the cookbook that explains
how to get substitutes from ci.guix over Tor:

  https://guix.gnu.org/cookbook/en/html_node/Getting-substitutes-from-Tor.h=
tml

Copying the text inline below.

Next step is to publish an Onion service for the web site.

HTH,
Ludo=E2=80=99.

3.8 Getting substitutes from Tor
=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=
=3D=3D=3D=3D=3D=3D=3D

Guix daemon can use a HTTP proxy to get substitutes, here we are
configuring it to get them via Tor.

     Warning: _Not all_ Guix daemon=E2=80=99s traffic will go through Tor! =
 Only
     HTTP/HTTPS will get proxied; FTP, Git protocol, SSH, etc
     connections will still go through the clearnet.  Again, this
     configuration isn=E2=80=99t foolproof some of your traffic won=E2=80=
=99t get routed
     by Tor at all.  Use it at your own risk.

     Also note that the procedure described here applies only to package
     substitution.  When you update your guix distribution with =E2=80=98gu=
ix
     pull=E2=80=99, you still need to use =E2=80=98torsocks=E2=80=99 if you=
 want to route the
     connection to guix=E2=80=99s git repository servers through Tor.

   Guix=E2=80=99s substitute server is available as a Onion service, if you=
 want
to use it to get your substitutes through Tor configure your system as
follow:

     (use-modules (gnu))
     (use-service-module base networking)

     (operating-system
       =E2=80=A6
       (services
         (cons
           (service tor-service-type
                   (tor-configuration
                     (config-file (plain-file "tor-config"
                                              "HTTPTunnelPort 127.0.0.1:925=
0"))))
           (modify-services %base-services
             (guix-service-type
               config =3D> (guix-configuration
                           (inherit config)
                           ;; ci.guix.gnu.org's Onion service
                           (substitute-urls
                            "https://4zwzi66wwdaalbhgnix55ea3ab4pvvw66ll2ow=
53kjub6se4q2bclcyd.onion")
                           (http-proxy "http://localhost:9250")))))))

   This will keep a tor process running that provides a HTTP CONNECT
tunnel which will be used by =E2=80=98guix-daemon=E2=80=99.  The daemon can=
 use other
protocols than HTTP(S) to get remote resources, request using those
protocols won=E2=80=99t go through Tor since we are only setting a HTTP tun=
nel
here.  Note that =E2=80=98substitutes-urls=E2=80=99 is using HTTPS and not =
HTTP or it
won=E2=80=99t work, that=E2=80=99s a limitation of Tor=E2=80=99s tunnel; yo=
u may want to use
=E2=80=98privoxy=E2=80=99 instead to avoid such limitations.

   If you don=E2=80=99t want to always get substitutes through Tor but usin=
g it
just some of the times, then skip the =E2=80=98guix-configuration=E2=80=99.=
  When you
want to get a substitute from the Tor tunnel run:

     sudo herd set-http-proxy guix-daemon http://localhost:9250
     guix build \
       --substitute-urls=3Dhttps://4zwzi66wwdaalbhgnix55ea3ab4pvvw66ll2ow53=
kjub6se4q2bclcyd.onion ...





Information forwarded to bug-guix@HIDDEN:
bug#54370; Package guix. Full text available.
Changed bug title to 'guix.gnu.org is inaccessible from Russia' from 'network problem or intentional blocking?' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 54370 <at> debbugs.gnu.org:


Received: (at 54370) by debbugs.gnu.org; 15 Mar 2022 07:58:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 15 03:58:12 2022
Received: from localhost ([127.0.0.1]:47445 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nU24K-0005HV-4e
	for submit <at> debbugs.gnu.org; Tue, 15 Mar 2022 03:58:12 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54680)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1nU24I-0005HH-5D
 for 54370 <at> debbugs.gnu.org; Tue, 15 Mar 2022 03:58:10 -0400
Received: from [2001:470:142:3::e] (port=60206 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nU24B-0003af-KM; Tue, 15 Mar 2022 03:58:03 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=PdQKeVUVEXvtYz7ReYIzbIrVOpBzqZB3VbzeebTNG+s=; b=T9RjH6UJxSFDRGNfIXBn
 w2HVYlzFDMrP8lFZpblnJltbm3kxpJs1lKn42uwMoCCzWxRarZ5/eDBX+UCCE+xpEPTCQmpQDN/fJ
 yT5Xtt9PlAiQPUTCx+qy9NEdo7DeLNfBEQRawCNOkBOsC/9bof48brymCb2sjtfbnTVAjQkA4zHch
 u3n9ka40iQ3EKcd6+BCNWX/Vl43x2mLojUUSksrKOG6jcLAbmUT7R8r5lsQ8Jf0SkR82h9B3HbOF9
 AbafumOS+O/8EmQg7dmPXkMmqI13pOikjooRmrfboAtzMUNubWne59cYVPiFWY/ldP/UcVsQpcii5
 FlG+VlDCK0qUTQ==;
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=38524 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nU24A-0007Ep-Gv; Tue, 15 Mar 2022 03:58:03 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: bug#54370: network problem or intentional blocking?
References: <CAOT6rO-TzDWnOtCXc9d+fZFzvSUNKNXnyzhjNEwxPD7mVVOCeA@HIDDEN>
 <E500DC4E-B265-4469-A66F-946DF5D6535E@HIDDEN>
 <3F8ECF7D-4C80-4D03-B7A1-60EBAD3EE206@HIDDEN>
 <CAOT6rO__s7aLsK_ZOE-RO49CyJ=VptAJBf79F=bE8pJ2XHcEOA@HIDDEN>
 <cf339c6f86a81c5ba71154ed37a31cb6@HIDDEN>
 <028317bebedcd18fc0063fbff3a20b9e509043a2.camel@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 25 =?utf-8?Q?Vent=C3=B4se?= an 230 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Tue, 15 Mar 2022 08:57:59 +0100
In-Reply-To: <028317bebedcd18fc0063fbff3a20b9e509043a2.camel@HIDDEN>
 (Maxime Devos's message of "Sun, 13 Mar 2022 21:36:16 +0100")
Message-ID: <87bky7przs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54370
Cc: Tobias Geerinckx-Rice <me@HIDDEN>, 54370 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Maxime,

Maxime Devos <maximedevos@HIDDEN> skribis:

> For the website, publishing the website not only over HTTP/S but also
> over IPFS might help?  The website is static and Guix has an IPFS
> service, so it should be feasible I think.  The browser extension
> (https://docs.ipfs.io/install/ipfs-companion/) would need to be
> packaged though, and a DNS link record
> (https://docs.ipfs.io/concepts/dnslink/#resolve-dnslink-name) would
> need to be set up.

That and/or publishing as an onion service would be great.

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#54370; Package guix. Full text available.

Message received at 54370 <at> debbugs.gnu.org:


Received: (at 54370) by debbugs.gnu.org; 13 Mar 2022 20:36:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 13 16:36:26 2022
Received: from localhost ([127.0.0.1]:43430 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nTUx0-0003iX-Et
	for submit <at> debbugs.gnu.org; Sun, 13 Mar 2022 16:36:26 -0400
Received: from andre.telenet-ops.be ([195.130.132.53]:60598)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1nTUwx-0003iN-Ph
 for 54370 <at> debbugs.gnu.org; Sun, 13 Mar 2022 16:36:24 -0400
Received: from ptr-bvsjgyhxw7psv60dyze.18120a2.ip6.access.telenet.be
 ([IPv6:2a02:1811:8c09:9d00:3c5f:2eff:feb0:ba5a])
 by andre.telenet-ops.be with bizsmtp
 id 5wcM270094UW6Th01wcMl4; Sun, 13 Mar 2022 21:36:22 +0100
Message-ID: <028317bebedcd18fc0063fbff3a20b9e509043a2.camel@HIDDEN>
Subject: Re: bug#54370: network problem or intentional blocking?
From: Maxime Devos <maximedevos@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>, 54370 <at> debbugs.gnu.org
Date: Sun, 13 Mar 2022 21:36:16 +0100
In-Reply-To: <cf339c6f86a81c5ba71154ed37a31cb6@HIDDEN>
References: <CAOT6rO-TzDWnOtCXc9d+fZFzvSUNKNXnyzhjNEwxPD7mVVOCeA@HIDDEN>
 <E500DC4E-B265-4469-A66F-946DF5D6535E@HIDDEN>
 <3F8ECF7D-4C80-4D03-B7A1-60EBAD3EE206@HIDDEN>
 <CAOT6rO__s7aLsK_ZOE-RO49CyJ=VptAJBf79F=bE8pJ2XHcEOA@HIDDEN>
 <cf339c6f86a81c5ba71154ed37a31cb6@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-Fe3KL//jIVVCDKcdArFy"
User-Agent: Evolution 3.38.3-1 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r22;
 t=1647203782; bh=3+cSADZFGWF2uZErIwgFy3B7ttACFHfA3WOqJ02Gq+o=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=aEb6akIVw6UVl+kzTUQqp1NFUny3LaXX8cLtFIdaw+QU/kPNX/hAKvWXH1C5sLdKp
 +dLDguCfv8Z6fJJx5w8XVDWBw9cYf6RxAR6Vv45woRDonXoX2ZcfBh7EgaEO0P37VU
 PSEINKW/GMF6WJguvRDOWhOBg1exxAassSvBWEteHFlFJijtHbz0zMJEQICWG0Ev5v
 dphkMpAzER8quI1iV2jMCy3gwQf7x2mazbfR5iY+W4CdicSCtafT0EnzSZewRGbYGD
 lUFJ4FszywqLbL8HwjfdJWr2nbZAq3QtddmOElDstTAEs68xT/PiEr2u9cer1i8sdQ
 gthK/rK4/XZlw==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 54370
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-Fe3KL//jIVVCDKcdArFy
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Tobias Geerinckx-Rice via Bug reports for GNU Guix schreef op zo 13-03-
2022 om 20:50 [+0100]:
> I wish there were a better answer than 'use Tor' for those stuck in the=
=20
> cross-fire :-(

For the website, publishing the website not only over HTTP/S but also
over IPFS might help?  The website is static and Guix has an IPFS
service, so it should be feasible I think.  The browser extension
(https://docs.ipfs.io/install/ipfs-companion/) would need to be
packaged though, and a DNS link record
(https://docs.ipfs.io/concepts/dnslink/#resolve-dnslink-name) would
need to be set up.

Greetings,
Maxime.

--=-Fe3KL//jIVVCDKcdArFy
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYi5VwBccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7sH0AP9W8ILRi9gOvt3LQ8K5qDF3xG49
DeqOTGbOzNmODI3uwQEAi5/v/gr3sDcVBuGRQ/4myNcdbYUygP+GmtWHFHmMZwk=
=z/BE
-----END PGP SIGNATURE-----

--=-Fe3KL//jIVVCDKcdArFy--





Information forwarded to bug-guix@HIDDEN:
bug#54370; Package guix. Full text available.

Message received at 54370 <at> debbugs.gnu.org:


Received: (at 54370) by debbugs.gnu.org; 13 Mar 2022 20:03:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 13 16:03:23 2022
Received: from localhost ([127.0.0.1]:43325 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nTUR1-0002il-MX
	for submit <at> debbugs.gnu.org; Sun, 13 Mar 2022 16:03:23 -0400
Received: from tobias.gr ([80.241.217.52]:52146)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1nTUQz-0002ic-4g
 for 54370 <at> debbugs.gnu.org; Sun, 13 Mar 2022 16:03:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=ZqRLPE90THmwq
 lynuU2LAx23I+TC0JnJAFutsMjE+ZU=;
 h=references:in-reply-to:subject:cc:
 to:from:date; d=tobias.gr; b=mMIfMT1Ro3vqyjCHAwbI2wGf9jZK6ud9iHicPL/Rc
 qjqyctroYwr3SG0SRAkpVPoesST7DHjiJ8jAiQc42bxcUi0ci5CqQPygPVqWIDjY1gBjah
 5mlhhKBVoqljBd1c6Bcwmes8HF+D1MuoVxwrqZASO2UDFB75GDBZP6xi6rYKjC8+TkEvaK
 /iXypj7vrGUpIu7cx3yceRVjW24vmCcl4L38/8ZqhNdfNCDzAvWvzb2WXipA7+uRuXzY6L
 i1D/RQYtCLjvjEoTcdjm7bxmp1KUpiWfue6/7Qpfcae/Z7Xs6ZjRHBNZ15gTjCaD6r8hQU
 jJWhwJBuF3IfvUDGrrb8A==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTP id b1613a88;
 Sun, 13 Mar 2022 20:03:16 +0000 (UTC)
MIME-Version: 1.0
Date: Sun, 13 Mar 2022 21:03:16 +0100
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#54370: network problem or intentional blocking?
In-Reply-To: <87ilshudq4.fsf@HIDDEN>
References: <CAOT6rO-TzDWnOtCXc9d+fZFzvSUNKNXnyzhjNEwxPD7mVVOCeA@HIDDEN>
 <E500DC4E-B265-4469-A66F-946DF5D6535E@HIDDEN>
 <0D08CE96-0992-4AAC-973F-E97D34DB4156@HIDDEN>
 <87tuc258o8.fsf@HIDDEN> <87ilshudq4.fsf@HIDDEN>
Message-ID: <634e11a2060e38814348571435f9fdc5@HIDDEN>
Content-Type: text/plain; charset=UTF-8;
 format=flowed
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54370
Cc: Christopher Baines <mail@HIDDEN>, 54370 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Pending expertise, is it feasible to serve the copy as-is without trying 
to impersonate berlin?  E.g. mirror.guix.gnu.org?

Hm, maybe that's not worth the effort…

I've asked around and short of pointing guix.gnu.org to bayfront — 
working around the issue & hoping that it will continue to be unaffected 
— or using a CDN that has points of presence in Russia — which can 
easily be taken down in a future wave of sanctions — the situation seems 
to be quite disappointing.

For proper fail-over you (ironically) need one box sitting in front of 
the boxes you want to fail over to.

Kind regards,

T G-R

Sent from a Web browser.  Excuse or enjoy my brevity.




Information forwarded to bug-guix@HIDDEN:
bug#54370; Package guix. Full text available.

Message received at 54370 <at> debbugs.gnu.org:


Received: (at 54370) by debbugs.gnu.org; 13 Mar 2022 19:50:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 13 15:50:47 2022
Received: from localhost ([127.0.0.1]:43308 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nTUEp-0002NH-Fe
	for submit <at> debbugs.gnu.org; Sun, 13 Mar 2022 15:50:47 -0400
Received: from tobias.gr ([80.241.217.52]:52142)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1nTUEm-0002N6-HK
 for 54370 <at> debbugs.gnu.org; Sun, 13 Mar 2022 15:50:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=hZuo8uB56TN2G
 7kPQPsUS3rTtBXHOIxlhZD0I7OdYPw=;
 h=references:in-reply-to:subject:to:
 from:date; d=tobias.gr; b=Yu16Mh7wMxXawNjH8Kqk/vX+uxubsKyrRYILVhiyfEgl
 WK/e/wC0N7JNnw20UKq4ecUQ82RJfoG+yDRr4L3he58A6gNW/vk8idWJ/oOg1317X7O0Re
 rUJOuY11n5fj/c8R9+CL53TRzO5MbcdHlHmeVosaUf1c14n755a9helWccNiukc6CF2ibr
 p7TmW9oL1a/+i7MXDvx5enZthAjM4LcWRYaVD7z7YXKHYtNLW8VwWelMwifc0WerMVH14n
 jvVH6jqM/nrxasC2a/IvMFXACVlL1JrderBb95FHP5ILeZCcxYW1DBE1NjQ9AKEO1oF2P6
 k+bFugsCTXBwX8TmcA==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTP id c12dffc2
 for <54370 <at> debbugs.gnu.org>; Sun, 13 Mar 2022 19:50:39 +0000 (UTC)
MIME-Version: 1.0
Date: Sun, 13 Mar 2022 20:50:39 +0100
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: 54370 <at> debbugs.gnu.org
Subject: Re: bug#54370: network problem or intentional blocking?
In-Reply-To: <CAOT6rO__s7aLsK_ZOE-RO49CyJ=VptAJBf79F=bE8pJ2XHcEOA@HIDDEN>
References: <CAOT6rO-TzDWnOtCXc9d+fZFzvSUNKNXnyzhjNEwxPD7mVVOCeA@HIDDEN>
 <E500DC4E-B265-4469-A66F-946DF5D6535E@HIDDEN>
 <3F8ECF7D-4C80-4D03-B7A1-60EBAD3EE206@HIDDEN>
 <CAOT6rO__s7aLsK_ZOE-RO49CyJ=VptAJBf79F=bE8pJ2XHcEOA@HIDDEN>
Message-ID: <cf339c6f86a81c5ba71154ed37a31cb6@HIDDEN>
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54370
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

[Resending to the proper address, sorry; I'm mu4e-less and hence 
incompetent :-]

Hi!

On 2022-03-13 20:00, poiNt_3D wrote:

> Is it possible to set the firewall to allow only public services to be 
> accessed from these IP ranges?

I'm afraid we don't control the berlin firewall or have much sway in how 
it's managed, so there's little point in discussing such actions.

> can be easily interpreted as a political decision

With Russia waging war, it seems likely that these Russian ISPs tolerate 
abusive traffic for political reasons.  There are probably political 
consequences for those who refuse.

The Internet was and still is built on ISP accountability and gives 
targets few other tools to effectively defend themselves, short of 
blocking such IP ranges.

I wish there were a better answer than 'use Tor' for those stuck in the 
cross-fire :-(

Kind regards,

T G-R

Sent from a Web browser.  Excuse or enjoy my brevity.




Information forwarded to bug-guix@HIDDEN:
bug#54370; Package guix. Full text available.

Message received at 54370 <at> debbugs.gnu.org:


Received: (at 54370) by debbugs.gnu.org; 13 Mar 2022 15:30:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 13 11:30:32 2022
Received: from localhost ([127.0.0.1]:43132 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nTQAy-0001Uf-Mu
	for submit <at> debbugs.gnu.org; Sun, 13 Mar 2022 11:30:32 -0400
Received: from tobias.gr ([80.241.217.52]:52102)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1nTQAw-0001UW-3Q
 for 54370 <at> debbugs.gnu.org; Sun, 13 Mar 2022 11:30:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=/vIrBFi/kB7az
 KcV3t5ssznX8+2OW8akePCwyP6pj68=;
 h=references:in-reply-to:subject:cc:
 to:from:date; d=tobias.gr; b=VCB8wWTTERn4AKC14lEnFCIAtzx54mZ3LeL6EUTJS
 Sqm1r+S5zrGPvZ1eFDh4BEOjx9WInw2cMjAl9yQ7SfrCRRF0ADhHGOBD0pgWmdYMzcIolG
 jbjdTwtysJuzEdhaqHiBNbzubqzHA1mJL8WA2KJh+kWODaW7eG0xSuRwVdXL4xfQdFyJte
 EhF0MBPQJn3QCAEz8iK31xqi7IGXXxgIraENMsqd/31Qmxdkx2zPdDKTYU0cG1vWAlUaOX
 3iQdy00aQlqkzeeaLXGufQ+2l2USTgpAazbiyYE0MkE8I/2zSNkHz7ByFSvS8Ioqe+KWFz
 /9JKKtytduxmvfISHc9lg==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTP id aa134f57;
 Sun, 13 Mar 2022 15:30:25 +0000 (UTC)
MIME-Version: 1.0
Date: Sun, 13 Mar 2022 16:30:25 +0100
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#54370: network problem or intentional blocking?
In-Reply-To: <87ilshudq4.fsf@HIDDEN>
References: <CAOT6rO-TzDWnOtCXc9d+fZFzvSUNKNXnyzhjNEwxPD7mVVOCeA@HIDDEN>
 <E500DC4E-B265-4469-A66F-946DF5D6535E@HIDDEN>
 <0D08CE96-0992-4AAC-973F-E97D34DB4156@HIDDEN>
 <87tuc258o8.fsf@HIDDEN> <87ilshudq4.fsf@HIDDEN>
Message-ID: <f3afbeb603be741597c15cc55dc6351d@HIDDEN>
Content-Type: text/plain; charset=UTF-8;
 format=flowed
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54370
Cc: Christopher Baines <mail@HIDDEN>, 54370 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi!

On 2022-03-13 15:30, Ludovic Courtès wrote:
> The plan we discussed during the “sysadmin hackathon” a couple
> of months ago was to, for instance, have the DNS entry point to these
> two machines.

Uhm, quick but:

Apparently some browsers (OK, one, and we all know which one) embraces & 
extends the DNS in such a way that this provides the fall-back behaviour 
you seem to expect.  But this is not standard and it won't fly with most 
software.  I checked.

It doesn't in Firefox/IceCat.  Even if it does in current Chrom{e,ium}, 
it might just be an unreliable side-effect.

Kind regards,

T G-R

Sent from a Web browser.  Excuse or enjoy my brevity.




Information forwarded to bug-guix@HIDDEN:
bug#54370; Package guix. Full text available.

Message received at 54370 <at> debbugs.gnu.org:


Received: (at 54370) by debbugs.gnu.org; 13 Mar 2022 14:30:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 13 10:30:43 2022
Received: from localhost ([127.0.0.1]:43091 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nTPF5-00045m-0A
	for submit <at> debbugs.gnu.org; Sun, 13 Mar 2022 10:30:43 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56008)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1nTPF2-00045Y-Nf
 for 54370 <at> debbugs.gnu.org; Sun, 13 Mar 2022 10:30:41 -0400
Received: from [2001:470:142:3::e] (port=55800 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nTPEv-0005Pk-Q5; Sun, 13 Mar 2022 10:30:34 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-Version:In-Reply-To:Date:References:Subject:To:
 From; bh=q/sY07g5tTsj2dptUWDnlcUAM8bH/N897keNaVl8UDw=; b=mS3FtlWZl3G5AqXo9b0T
 bpkKIubLNwpBm5keAKFz8ohekNMUYaamdb/yItuM7uTLs+dXDppem5BUVRSvsqKNZPgY6QZQfZRNz
 kq3ghL5Ewfa/mcy8ZLECcLcT7MkN6aApLNN9QePgXL+qHz2DJXCWtJ1tLLh1M+e1lx0Uoe+Z8b1Tj
 hOU81II7SD3VvCHm5ItKl0OWn0E2nnmRccp0snCbrslF4pUilv7Q1gleOhr85+Tj+L0eidRSfSasB
 HvLicusdnVPsph2gSlBqR2cODU037eMIdF4DcyWvsVARJ3pc2h8MZv89Gct2LOeruz/gSPdUYQg+P
 TXNd8Oxic1BhcQ==;
Received: from 91-160-117-201.subs.proxad.net ([91.160.117.201]:51845
 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludo@HIDDEN>)
 id 1nTPEv-0007uZ-Bb; Sun, 13 Mar 2022 10:30:33 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Christopher Baines <mail@HIDDEN>
Subject: Re: bug#54370: network problem or intentional blocking?
References: <CAOT6rO-TzDWnOtCXc9d+fZFzvSUNKNXnyzhjNEwxPD7mVVOCeA@HIDDEN>
 <E500DC4E-B265-4469-A66F-946DF5D6535E@HIDDEN>
 <0D08CE96-0992-4AAC-973F-E97D34DB4156@HIDDEN>
 <87tuc258o8.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 23 =?utf-8?Q?Vent=C3=B4se?= an 230 de la =?utf-8?Q?R?=
 =?utf-8?Q?=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sun, 13 Mar 2022 15:30:27 +0100
In-Reply-To: <87tuc258o8.fsf@HIDDEN> (Christopher Baines's message of
 "Sun, 13 Mar 2022 12:36:49 +0000")
Message-ID: <87ilshudq4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54370
Cc: Tobias Geerinckx-Rice <me@HIDDEN>, 54370 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Christopher Baines <mail@HIDDEN> skribis:

> I believe bayfront was being setup to serve the website (see [1]), but
> I'm not sure on how that's progressing.
>
> 1: https://git.savannah.gnu.org/cgit/guix/maintenance.git/commit/?id=3D82=
50a46b2fa178d1cdd37986028d5a07e3db65ed

Indeed.  The plan we discussed during the =E2=80=9Csysadmin hackathon=E2=80=
=9D a couple
of months ago was to, for instance, have the DNS entry point to these
two machines.

The problem we keep stumbling upon and that I don=E2=80=99t know how yet ho=
w to
solve is how to make it work for HTTPS: do we copy raw certificates to
bayfront, or is there a way to have separate certificates?  How about
Let=E2=80=99s Encrypt challenges?

These are the last issues to solve and I=E2=80=99d welcome expertise here. =
 Any
ideas?

Everything else is addressed: the web site gets built on bayfront just
like it is on berlin, static data such as videos and PDFs are
automatically mirrored to bayfront.

  https://git.savannah.gnu.org/cgit/guix/maintenance.git/commit/?id=3D60169=
1e7ea07c999d60993464b27d4cba2621f05

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#54370; Package guix. Full text available.

Message received at 54370 <at> debbugs.gnu.org:


Received: (at 54370) by debbugs.gnu.org; 13 Mar 2022 12:38:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 13 08:38:52 2022
Received: from localhost ([127.0.0.1]:41825 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nTNUq-0000jO-J7
	for submit <at> debbugs.gnu.org; Sun, 13 Mar 2022 08:38:52 -0400
Received: from mira.cbaines.net ([212.71.252.8]:41286)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mail@HIDDEN>) id 1nTNUp-0000jG-6n
 for 54370 <at> debbugs.gnu.org; Sun, 13 Mar 2022 08:38:51 -0400
Received: from localhost (unknown [IPv6:2a02:8010:68c1:0:8ac0:b4c7:f5c8:7caa])
 by mira.cbaines.net (Postfix) with ESMTPSA id 554AE27BBE9;
 Sun, 13 Mar 2022 12:38:50 +0000 (GMT)
Received: from capella (localhost [127.0.0.1])
 by localhost (OpenSMTPD) with ESMTP id 25f66107;
 Sun, 13 Mar 2022 12:38:49 +0000 (UTC)
References: <CAOT6rO-TzDWnOtCXc9d+fZFzvSUNKNXnyzhjNEwxPD7mVVOCeA@HIDDEN>
 <E500DC4E-B265-4469-A66F-946DF5D6535E@HIDDEN>
 <0D08CE96-0992-4AAC-973F-E97D34DB4156@HIDDEN>
User-agent: mu4e 1.6.10; emacs 27.2
From: Christopher Baines <mail@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#54370: network problem or intentional blocking?
Date: Sun, 13 Mar 2022 12:36:49 +0000
In-reply-to: <0D08CE96-0992-4AAC-973F-E97D34DB4156@HIDDEN>
Message-ID: <87tuc258o8.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54370
Cc: 54370 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain


Tobias Geerinckx-Rice via Bug reports for GNU Guix <bug-guix@HIDDEN> writes:

> I didn't address guix.gnu.org beyond ci.guix.gnu.org.
>
> Everyone: should we ask SJTUG to mirror the Web site as well?
>
> I'm generally weary of that.

I believe bayfront was being setup to serve the website (see [1]), but
I'm not sure on how that's progressing.

1: https://git.savannah.gnu.org/cgit/guix/maintenance.git/commit/?id=8250a46b2fa178d1cdd37986028d5a07e3db65ed

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQKlBAEBCgCPFiEEPonu50WOcg2XVOCyXiijOwuE9XcFAmIt5ddfFIAAAAAALgAo
aXNzdWVyLWZwckBub3RhdGlvbnMub3BlbnBncC5maWZ0aGhvcnNlbWFuLm5ldDNF
ODlFRUU3NDU4RTcyMEQ5NzU0RTBCMjVFMjhBMzNCMEI4NEY1NzcRHG1haWxAY2Jh
aW5lcy5uZXQACgkQXiijOwuE9XfzuA/+M0sXCeuU4bOGAOXAGRVjXLGWXiB0aDgA
ubKWdwWoLB4DD8Lf9wQ/XqsHLxuBI+fdETtdft8lk7BhoJZFcLr9iuG2lHKWaUcS
ZUjCA0BDu/eKxJBK24DyrLx5g+IBOBiPO8iUoq8bQ+dTbyTyX1ANeq1Vdf5s1FBd
K5p5BrBMlM5sU50xJ0slv5RdgNvqi2AmvWBkhjOMWU1AqhwaCr++xTSzOQC9zPF/
N+rXAZ+c+2jRqwaD4OuJCID0ug+EzkNCPQms6b4FMRColqPSSVUdglYpSkTXR0ik
8K4MtcV7ASFbTxOuDzLj5/epl7MkT4z4Ve+DgJ758dMp3TzClTQVW9VUSC2MMXKY
sKyQH8NTve2qNjGKYZxBPKEoNLShkeQRpkbP6TwQ5rxGMie4P9saq5rzz18EF4YR
R8pJGQQSUTvqNdA5A55SqV9rMVHq7xCOy8ez+NkUy/KIv0JOEByiBhiSTZ0X+7L7
mE6lWXeWLH9NjNVgO6cvHyCpFdq5WojZ27FUQRu+JOUbxh6HowL081gRYwiBM8ue
leHDIHm80FoZZA4TrmEEVezmFAt5vb5In8dg43O9jweU/8OStspmGXsl9rlvHy3i
0GJk5kRp+XbCdL+I5vRNlJCAJRRBd0WPx1CDXhz9U4vS3boWnYtcYXDkNNQRKpAw
j6kRoC4Jers=
=k/dc
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#54370; Package guix. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 54370 <at> debbugs.gnu.org:


Received: (at 54370) by debbugs.gnu.org; 13 Mar 2022 12:15:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 13 08:15:20 2022
Received: from localhost ([127.0.0.1]:41809 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nTN84-0006Fn-1W
	for submit <at> debbugs.gnu.org; Sun, 13 Mar 2022 08:15:20 -0400
Received: from tobias.gr ([80.241.217.52]:52068)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1nTN7y-0006FW-L2
 for 54370 <at> debbugs.gnu.org; Sun, 13 Mar 2022 08:15:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=U1fEJaDkXpThH
 rMFDBHOEDWCpzanECHvdwnXTNwAU1o=;
 h=references:in-reply-to:subject:to:
 from:date; d=tobias.gr; b=i6idm49YeKKoyue/aEIZkGFOYWNg9Ya5eP1QaKRIszS0
 sKbNy93hLLjhRzpAfevE+9pnCeXRRn+PlcAtSm0jOG6MoJFM+F/iqlSnoIiB/hjzHgGD54
 IH9KazWr2zHebmf4lohbDJ5ovN6uaNi6bcuBHb9N4JUL0vb3LDVL/B4XHYg8gkqW6sFKpx
 +qRm4jfpy/jTrlA0fEBPwTZhvD7fxI7xV8ytt0+fdfwDonfBuV+Fas4HDBfuNiaxOmCVyw
 +H8zZxtZLueWoM1GHDPZikCgKhb7cciE40B+c3ewtHPa2OuMN4zJOw4DPfvvffsC0pxZDd
 4wq5gRsBZSPCFQ+89g==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id e901dde2
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO) for <54370 <at> debbugs.gnu.org>;
 Sun, 13 Mar 2022 12:15:10 +0000 (UTC)
Date: Sun, 13 Mar 2022 12:15:11 +0000
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: 54370 <at> debbugs.gnu.org
Subject: Re: bug#54370: network problem or intentional blocking?
In-Reply-To: <E500DC4E-B265-4469-A66F-946DF5D6535E@HIDDEN>
References: <CAOT6rO-TzDWnOtCXc9d+fZFzvSUNKNXnyzhjNEwxPD7mVVOCeA@HIDDEN>
 <E500DC4E-B265-4469-A66F-946DF5D6535E@HIDDEN>
Message-ID: <0D08CE96-0992-4AAC-973F-E97D34DB4156@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54370
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hm,

I didn't address guix=2Egnu=2Eorg beyond ci=2Eguix=2Egnu=2Eorg=2E

Everyone: should we ask SJTUG to mirror the Web site as well?

I'm generally weary of that=2E

Kind regards,

T G-R

Sent on the go=2E  Excuse or enjoy my brevity=2E

Kind regards,

T G-R

Sent on the go=2E  Excuse or enjoy my brevity=2E




Information forwarded to bug-guix@HIDDEN:
bug#54370; Package guix. Full text available.

Message received at 54370-done <at> debbugs.gnu.org:


Received: (at 54370-done) by debbugs.gnu.org; 13 Mar 2022 11:43:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 13 07:43:35 2022
Received: from localhost ([127.0.0.1]:41770 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nTMdL-0005BO-8j
	for submit <at> debbugs.gnu.org; Sun, 13 Mar 2022 07:43:35 -0400
Received: from tobias.gr ([80.241.217.52]:52058)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>)
 id 1nTMdE-0005Am-Jx; Sun, 13 Mar 2022 07:43:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=biPy6kMFbontC
 d//hT8PYnc0nW04azyMVnxDPuMViNg=;
 h=references:in-reply-to:subject:to:
 from:date; d=tobias.gr; b=bHs/5AbQpDOr1QKLFBcqf70P/NQ62YC1z0FMSz3FR09Q
 org+zKi7Dlx80URHcxl4ojVpLeXA0hfTJ6o8r5ULqsim/jyPdXR/oaPzF5lo1Rkd1AbMMj
 jHk5Da0Kr0qqpvncGab+j2h/X/y583mKHCFU88lpgG6s6VkfcpiLwqHdMA5L5rAkop+86D
 htXQAQ4PiHY6h+ZPrmXJOlEzvboN9ag3QPirOccGzDWdQnv8ezX7e3DQHDgAQbmD9vv7jG
 gwJEVANXdERCsZYqJgxdLUNr91TTaf/gGzrDBTTZdaBZ9LyAX1MXxZMrNlsCg/EV7im7sy
 rNp1bTLR4TZmvshYUw==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 96a311fe
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Sun, 13 Mar 2022 11:43:23 +0000 (UTC)
Date: Sun, 13 Mar 2022 11:43:23 +0000
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: bug-guix@HIDDEN, poiNt_3D <point4d@HIDDEN>, 54370 <at> debbugs.gnu.org,
 54370-done <at> debbugs.gnu.org
Subject: Re: bug#54370: network problem or intentional blocking?
In-Reply-To: <CAOT6rO-TzDWnOtCXc9d+fZFzvSUNKNXnyzhjNEwxPD7mVVOCeA@HIDDEN>
References: <CAOT6rO-TzDWnOtCXc9d+fZFzvSUNKNXnyzhjNEwxPD7mVVOCeA@HIDDEN>
Message-ID: <E500DC4E-B265-4469-A66F-946DF5D6535E@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54370-done
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Point4d,

Specifically, from the thread linked by Evgeny:

  "At the MDC level there=E2=80=99s an unrelated recent ban of some Russia=
n IP ranges in place due to massively increased port scans and intrusion at=
tempts since about one week=2E I hope you can use the Chinese mirror for th=
e time being=2E"

That mirror is at https://mirrors=2Esjtug=2Esjtu=2Eedu=2Ecn/guix =2E  Let =
us know if it works=2E

Kind regards,

T G-R

Sent on the go=2E  Excuse or enjoy my brevity=2E




Notification sent to poiNt_3D <point4d@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Tobias Geerinckx-Rice <me@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 54370 <at> debbugs.gnu.org:


Received: (at 54370) by debbugs.gnu.org; 13 Mar 2022 11:43:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 13 07:43:35 2022
Received: from localhost ([127.0.0.1]:41768 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nTMdL-0005BH-1w
	for submit <at> debbugs.gnu.org; Sun, 13 Mar 2022 07:43:35 -0400
Received: from tobias.gr ([80.241.217.52]:52058)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>)
 id 1nTMdE-0005Am-Jx; Sun, 13 Mar 2022 07:43:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=biPy6kMFbontC
 d//hT8PYnc0nW04azyMVnxDPuMViNg=;
 h=references:in-reply-to:subject:to:
 from:date; d=tobias.gr; b=bHs/5AbQpDOr1QKLFBcqf70P/NQ62YC1z0FMSz3FR09Q
 org+zKi7Dlx80URHcxl4ojVpLeXA0hfTJ6o8r5ULqsim/jyPdXR/oaPzF5lo1Rkd1AbMMj
 jHk5Da0Kr0qqpvncGab+j2h/X/y583mKHCFU88lpgG6s6VkfcpiLwqHdMA5L5rAkop+86D
 htXQAQ4PiHY6h+ZPrmXJOlEzvboN9ag3QPirOccGzDWdQnv8ezX7e3DQHDgAQbmD9vv7jG
 gwJEVANXdERCsZYqJgxdLUNr91TTaf/gGzrDBTTZdaBZ9LyAX1MXxZMrNlsCg/EV7im7sy
 rNp1bTLR4TZmvshYUw==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 96a311fe
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Sun, 13 Mar 2022 11:43:23 +0000 (UTC)
Date: Sun, 13 Mar 2022 11:43:23 +0000
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: bug-guix@HIDDEN, poiNt_3D <point4d@HIDDEN>, 54370 <at> debbugs.gnu.org,
 54370-done <at> debbugs.gnu.org
Subject: Re: bug#54370: network problem or intentional blocking?
In-Reply-To: <CAOT6rO-TzDWnOtCXc9d+fZFzvSUNKNXnyzhjNEwxPD7mVVOCeA@HIDDEN>
References: <CAOT6rO-TzDWnOtCXc9d+fZFzvSUNKNXnyzhjNEwxPD7mVVOCeA@HIDDEN>
Message-ID: <E500DC4E-B265-4469-A66F-946DF5D6535E@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54370
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Point4d,

Specifically, from the thread linked by Evgeny:

  "At the MDC level there=E2=80=99s an unrelated recent ban of some Russia=
n IP ranges in place due to massively increased port scans and intrusion at=
tempts since about one week=2E I hope you can use the Chinese mirror for th=
e time being=2E"

That mirror is at https://mirrors=2Esjtug=2Esjtu=2Eedu=2Ecn/guix =2E  Let =
us know if it works=2E

Kind regards,

T G-R

Sent on the go=2E  Excuse or enjoy my brevity=2E




Information forwarded to bug-guix@HIDDEN:
bug#54370; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Mar 2022 11:43:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 13 07:43:35 2022
Received: from localhost ([127.0.0.1]:41766 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nTMdK-0005BE-RK
	for submit <at> debbugs.gnu.org; Sun, 13 Mar 2022 07:43:35 -0400
Received: from lists.gnu.org ([209.51.188.17]:47782)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1nTMdJ-0005Av-Bt
 for submit <at> debbugs.gnu.org; Sun, 13 Mar 2022 07:43:33 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41328)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1nTMdI-0006wA-Uh
 for bug-guix@HIDDEN; Sun, 13 Mar 2022 07:43:33 -0400
Received: from [2a02:c205:2020:6054::1] (port=36950 helo=tobias.gr)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1nTMdF-0005xi-Mw
 for bug-guix@HIDDEN; Sun, 13 Mar 2022 07:43:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=biPy6kMFbontC
 d//hT8PYnc0nW04azyMVnxDPuMViNg=;
 h=references:in-reply-to:subject:to:
 from:date; d=tobias.gr; b=bHs/5AbQpDOr1QKLFBcqf70P/NQ62YC1z0FMSz3FR09Q
 org+zKi7Dlx80URHcxl4ojVpLeXA0hfTJ6o8r5ULqsim/jyPdXR/oaPzF5lo1Rkd1AbMMj
 jHk5Da0Kr0qqpvncGab+j2h/X/y583mKHCFU88lpgG6s6VkfcpiLwqHdMA5L5rAkop+86D
 htXQAQ4PiHY6h+ZPrmXJOlEzvboN9ag3QPirOccGzDWdQnv8ezX7e3DQHDgAQbmD9vv7jG
 gwJEVANXdERCsZYqJgxdLUNr91TTaf/gGzrDBTTZdaBZ9LyAX1MXxZMrNlsCg/EV7im7sy
 rNp1bTLR4TZmvshYUw==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 96a311fe
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Sun, 13 Mar 2022 11:43:23 +0000 (UTC)
Date: Sun, 13 Mar 2022 11:43:23 +0000
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: bug-guix@HIDDEN, poiNt_3D <point4d@HIDDEN>, 54370 <at> debbugs.gnu.org,
 54370-done <at> debbugs.gnu.org
Subject: Re: bug#54370: network problem or intentional blocking?
In-Reply-To: <CAOT6rO-TzDWnOtCXc9d+fZFzvSUNKNXnyzhjNEwxPD7mVVOCeA@HIDDEN>
References: <CAOT6rO-TzDWnOtCXc9d+fZFzvSUNKNXnyzhjNEwxPD7mVVOCeA@HIDDEN>
Message-ID: <E500DC4E-B265-4469-A66F-946DF5D6535E@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2a02:c205:2020:6054::1
 (failed)
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-Spam_score_int: -12
X-Spam_score: -1.3
X-Spam_bar: -
X-Spam_report: (-1.3 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, RDNS_NONE=0.793,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.7 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.7 (--)

Hi Point4d,

Specifically, from the thread linked by Evgeny:

  "At the MDC level there=E2=80=99s an unrelated recent ban of some Russia=
n IP ranges in place due to massively increased port scans and intrusion at=
tempts since about one week=2E I hope you can use the Chinese mirror for th=
e time being=2E"

That mirror is at https://mirrors=2Esjtug=2Esjtu=2Eedu=2Ecn/guix =2E  Let =
us know if it works=2E

Kind regards,

T G-R

Sent on the go=2E  Excuse or enjoy my brevity=2E




Information forwarded to bug-guix@HIDDEN:
bug#54370; Package guix. Full text available.

Message received at 54370 <at> debbugs.gnu.org:


Received: (at 54370) by debbugs.gnu.org; 13 Mar 2022 09:05:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 13 05:05:58 2022
Received: from localhost ([127.0.0.1]:41623 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nTKAo-000512-1x
	for submit <at> debbugs.gnu.org; Sun, 13 Mar 2022 05:05:58 -0400
Received: from sofi-shared.hosting.energy ([146.59.29.125]:39460
 helo=sofi.hosting.energy) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <evgeny@HIDDEN>) id 1nTKAm-00050p-2s
 for 54370 <at> debbugs.gnu.org; Sun, 13 Mar 2022 05:05:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed;
 d=pisemsky.com; s=dkim; h=Content-Type:MIME-Version:Message-ID:Date:Subject:
 To:From:Sender:Reply-To:Cc:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=JmZKY01wLz8ZdwBBL11Qd4QUO5xn9bro6JiM8EBlKEA=; b=AQA/jfQ6iD7WKjBJ5O0pTBvVHt
 vqoxWhgdYG8fX0H4s7ka8f1JB48MjpkQRxLoVUyGojb6woKNtlOcaWzJjCMqSZnc6r6W4p6DFdltA
 Pv1T4vrUCduGzoJR3W3lfPeTHD7CQGVgEQUtTKa/cBm8usIENbNrI/DPVljEYnC3OLTo=;
Received: from node-93-188-35-212.domolink.tula.net ([212.35.188.93]
 helo=desktop) by sofi.hosting.energy with esmtpsa (TLS1.2) tls
 TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384 (Exim 4.94)
 (envelope-from <evgeny@HIDDEN>) id 1nTKAf-00086m-Ji
 for 54370 <at> debbugs.gnu.org; Sun, 13 Mar 2022 12:05:49 +0300
From: Evgeny Pisemsky <evgeny@HIDDEN>
To: 54370 <at> debbugs.gnu.org
Subject: Guix in Russia
Date: Sun, 13 Mar 2022 12:05:48 +0300
Message-ID: <87cziqrzmb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54370
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello!

Check out this discussion:

https://lists.gnu.org/archive/html/help-guix/2022-03/msg00004.html




Information forwarded to bug-guix@HIDDEN:
bug#54370; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Mar 2022 07:12:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 13 03:12:19 2022
Received: from localhost ([127.0.0.1]:41537 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nTIOo-00027O-Uv
	for submit <at> debbugs.gnu.org; Sun, 13 Mar 2022 03:12:19 -0400
Received: from lists.gnu.org ([209.51.188.17]:41474)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <point4d@HIDDEN>) id 1nTHUl-0000NS-P1
 for submit <at> debbugs.gnu.org; Sun, 13 Mar 2022 01:14:24 -0500
Received: from eggs.gnu.org ([209.51.188.92]:53808)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <point4d@HIDDEN>) id 1nTHUl-0004Oc-Kj
 for bug-guix@HIDDEN; Sun, 13 Mar 2022 01:14:23 -0500
Received: from [2a00:1450:4864:20::130] (port=39617
 helo=mail-lf1-x130.google.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <point4d@HIDDEN>) id 1nTHUj-0003ID-Px
 for bug-guix@HIDDEN; Sun, 13 Mar 2022 01:14:23 -0500
Received: by mail-lf1-x130.google.com with SMTP id w7so21840255lfd.6
 for <bug-guix@HIDDEN>; Sat, 12 Mar 2022 22:14:20 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:from:date:message-id:subject:to;
 bh=E7hVCU7c+fDA6g4BPgfGbdSneqVTrO7hww3QzBcGJ5k=;
 b=MrvmW0BAj4MjP86CRQkcfrd5E5PUl3SzwVGacHAOUNjU94rNiGo6pqvDNrvj026Jib
 AX2wIrGiV1Ox0991nrYdbnainzBru6A+rZx5l15R6us29Q/rAFM2pvCxIWMw+KECbTb/
 JM+W0lnPN8lzemOtTI5m+HVCBd/cSsobg3/ToN9Ktl7dMnkEKAuvo0KMGk5EoESQdrGq
 BvKlc8/qiXpe/TF6wzoUGUyj3MX/HGDSy2IVLZpxV5HcOmXHArM0olLGeRnizAAIQ3XG
 OECV/gHFm0xQ3AXruFtqzhGWEii55L7OB0T6QWW1+C2b+hkbTM8WriNSmdER1pDwbRtP
 krPw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=E7hVCU7c+fDA6g4BPgfGbdSneqVTrO7hww3QzBcGJ5k=;
 b=kYL3fPKYjbLR0FjX0LwLoS9wQP4R/qJMCWRkShkO1EhtrRlkROC4/e0WMNU09TMAHO
 X5Pn/3m0gZ31WdKRolWAf3NrjbUwzGklfSiksRWWGVC2p+s69iW1c/y5LTeRfDvqqnnp
 Fr8HMhqh0EFWhZWLorB236T0gE4uT0QVexym+JWo/C9smg67NX9/1dscjRCrjA/836YB
 e7woynJzxJeiehb+W+3fEmKaSMqd/KPTgKpWKchjjT1TYXFKPXm0iF2cN54OC/Ylm/AK
 rJ4IOzMFly0w+7xWjGSCwz8EZyNS0ttCA3avjXKDFIFEu87xgNmcvIihP5afUL1ATitX
 mnCw==
X-Gm-Message-State: AOAM530GQJGAFw21MH1ONjGLCS86veXG5skj1KvPSXm5ciGIdIjG1WPs
 kb40pP+iQiY3/HXeKpOms/W1cwBnb38tD9LqJzWB3caQI7sydA==
X-Google-Smtp-Source: ABdhPJzp0ko2X+uUIsZsV7kZjayfo0lKnpkMbVltwUbj6HjaTNvtaFwmSrl28c1svqg5GOeVlysUoVgh32YHugomoKo=
X-Received: by 2002:a19:490f:0:b0:448:4bf8:6084 with SMTP id
 w15-20020a19490f000000b004484bf86084mr10015895lfa.537.1647152058708; Sat, 12
 Mar 2022 22:14:18 -0800 (PST)
MIME-Version: 1.0
From: poiNt_3D <point4d@HIDDEN>
Date: Sun, 13 Mar 2022 09:14:04 +0300
Message-ID: <CAOT6rO-TzDWnOtCXc9d+fZFzvSUNKNXnyzhjNEwxPD7mVVOCeA@HIDDEN>
Subject: network problem or intentional blocking?
To: bug-guix@HIDDEN
Content-Type: multipart/alternative; boundary="00000000000059b3f205da1379aa"
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2a00:1450:4864:20::130
 (failed)
Received-SPF: pass client-ip=2a00:1450:4864:20::130;
 envelope-from=point4d@HIDDEN; helo=mail-lf1-x130.google.com
X-Spam_score_int: -6
X-Spam_score: -0.7
X-Spam_bar: /
X-Spam_report: (-0.7 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, PDS_HP_HELO_NORDNS=0.659, RCVD_IN_DNSWL_NONE=-0.0001,
 RDNS_NONE=0.793, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 13 Mar 2022 03:12:16 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--00000000000059b3f205da1379aa
Content-Type: text/plain; charset="UTF-8"

Hello. I would like to request a clarification on the issue of
inaccessibility of guix.gnu org from the Russian Federation.
Is the blocking intentional or is there some kind of networking problem?

Here's my traceroute output:

>  6  ge-4-0-0-10g.m320-2-vlgd.nwtelecom.ru (212.48.195.41)  15.660 ms
>  13.065 ms  15.545 ms
>  7  109.172.24.67 (109.172.24.67)  32.341 ms 87.226.183.61 (87.226.183.61)
>  31.027 ms  28.507 ms
>  8  ae53.edge4.stockholm2.level3.net (213.249.107.129)  37.298 ms  29.497
> ms  35.571 ms
>  9  ae1.5.bar1.hamburg1.level3.net (4.69.142.209)  73.587 ms
> s-bb1-link.ip.twelve99.net (62.115.139.180)  27.296 ms
> ae1.5.bar1.hamburg1.level3.net (4.69.142.209)  74.064 ms
> 10  195.122.181.62 (195.122.181.62)  64.682 ms  66.071 ms  68.254 ms
> 11  ffm-b5-link.ip.twelve99.net (62.115.114.89)  51.213 ms
> cr-tub2-be13.x-win.dfn.de (188.1.144.58)  67.156 ms  61.032 ms
> 12  kr-mdcbln1.x-win.dfn.de (188.1.238.78)  65.546 ms
> dfn-ic357399-ffm-b5.ip.twelve99-cust.net (213.248.97.41)  50.044 ms
>  49.354 ms
> 13  cr-erl2-be8.x-win.dfn.de (188.1.144.221)  50.629 ms * *
> 14  cr-tub2-be10.x-win.dfn.de (188.1.146.210)  64.584 ms  56.154 ms *
> 15  kr-mdcbln1.x-win.dfn.de (188.1.238.78)  59.972 ms *  64.541 ms16  * *
> *
> 16  * * *
> 17  * * *
> 18  * * *
> 19  * * *
> 20  * * *
> 21  * * *
> 22  * * *
> 23  * * *
> 24  * * *
> 25  * * *
>


Thanks.

--00000000000059b3f205da1379aa
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div>Hello. I would like to request a clarification on the=
 issue of inaccessibility of guix.gnu org from the Russian Federation.</div=
><div>Is the blocking intentional or is there some kind of networking probl=
em?</div><div><br></div><div>Here&#39;s my traceroute output:</div><blockqu=
ote class=3D"gmail_quote" style=3D"margin:0px 0px 0px 0.8ex;border-left:1px=
 solid rgb(204,204,204);padding-left:1ex"><div>=C2=A06 =C2=A0<a href=3D"htt=
p://ge-4-0-0-10g.m320-2-vlgd.nwtelecom.ru">ge-4-0-0-10g.m320-2-vlgd.nwtelec=
om.ru</a> (212.48.195.41) =C2=A015.660 ms =C2=A013.065 ms =C2=A015.545 ms<b=
r>=C2=A07 =C2=A0109.172.24.67 (109.172.24.67) =C2=A032.341 ms 87.226.183.61=
 (87.226.183.61) =C2=A031.027 ms =C2=A028.507 ms<br>=C2=A08 =C2=A0<a href=
=3D"http://ae53.edge4.stockholm2.level3.net">ae53.edge4.stockholm2.level3.n=
et</a> (213.249.107.129) =C2=A037.298 ms =C2=A029.497 ms =C2=A035.571 ms<br=
>=C2=A09 =C2=A0<a href=3D"http://ae1.5.bar1.hamburg1.level3.net">ae1.5.bar1=
.hamburg1.level3.net</a> (4.69.142.209) =C2=A073.587 ms <a href=3D"http://s=
-bb1-link.ip.twelve99.net">s-bb1-link.ip.twelve99.net</a> (62.115.139.180) =
=C2=A027.296 ms <a href=3D"http://ae1.5.bar1.hamburg1.level3.net">ae1.5.bar=
1.hamburg1.level3.net</a> (4.69.142.209) =C2=A074.064 ms<br>10 =C2=A0195.12=
2.181.62 (195.122.181.62) =C2=A064.682 ms =C2=A066.071 ms =C2=A068.254 ms<b=
r>11 =C2=A0<a href=3D"http://ffm-b5-link.ip.twelve99.net">ffm-b5-link.ip.tw=
elve99.net</a> (62.115.114.89) =C2=A051.213 ms <a href=3D"http://cr-tub2-be=
13.x-win.dfn.de">cr-tub2-be13.x-win.dfn.de</a> (188.1.144.58) =C2=A067.156 =
ms =C2=A061.032 ms<br>12 =C2=A0<a href=3D"http://kr-mdcbln1.x-win.dfn.de">k=
r-mdcbln1.x-win.dfn.de</a> (188.1.238.78) =C2=A065.546 ms <a href=3D"http:/=
/dfn-ic357399-ffm-b5.ip.twelve99-cust.net">dfn-ic357399-ffm-b5.ip.twelve99-=
cust.net</a> (213.248.97.41) =C2=A050.044 ms =C2=A049.354 ms<br>13 =C2=A0<a=
 href=3D"http://cr-erl2-be8.x-win.dfn.de">cr-erl2-be8.x-win.dfn.de</a> (188=
.1.144.221) =C2=A050.629 ms * *<br>14 =C2=A0<a href=3D"http://cr-tub2-be10.=
x-win.dfn.de">cr-tub2-be10.x-win.dfn.de</a> (188.1.146.210) =C2=A064.584 ms=
 =C2=A056.154 ms *<br>15 =C2=A0<a href=3D"http://kr-mdcbln1.x-win.dfn.de">k=
r-mdcbln1.x-win.dfn.de</a> (188.1.238.78) =C2=A059.972 ms * =C2=A064.541 ms=
16 =C2=A0* * *<br>16 =C2=A0* * *<br>17 =C2=A0* * *<br>18 =C2=A0* * *<br>19 =
=C2=A0* * *<br>20 =C2=A0* * *<br>21 =C2=A0* * *<br>22 =C2=A0* * *<br>23 =C2=
=A0* * *<br>24 =C2=A0* * *<br>25 =C2=A0* * *</div></blockquote><div>=C2=A0<=
/div><div><br></div><div>Thanks. <br></div></div>

--00000000000059b3f205da1379aa--




Acknowledgement sent to poiNt_3D <point4d@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#54370; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 18 May 2022 15:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.